import { nodeType, singleColumnSettingsType, textNodeType } from "./interfaces";
/**
 * Check is item is object
 */
export declare const isObject: (val: (string | number | boolean | object | null | undefined)) => boolean;
/**
 * Check for valid JSON string
 */
export declare const isJson: (str: string) => boolean;
/**
 * Create DOM element node
 */
export declare const createElement: (nodeName: string, attrs?: {
    [key: string]: string;
}) => HTMLElement;
export declare const flush: (el: HTMLElement | HTMLElement[]) => void;
/**
 * Create button helper
 */
export declare const button: (className: string, page: number, text: string) => HTMLElement;
/**
 * Pager truncation algorithm
 */
export declare const truncate: (links?: HTMLElement[], currentPage?: number, pagesLength?: number, pagerDelta?: number, ellipsis?: string) => HTMLElement[];
export declare const objToText: (obj: (nodeType | textNodeType)) => any;
export declare const escapeText: (text: string) => string;
export declare const visibleToColumnIndex: (visibleIndex: number, columns: singleColumnSettingsType[]) => number;
